gsasl_server_suggest_mechanism(3)

NAME
gsasl_server_suggest_mechanism - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_server_suggest_mechanism(Gsasl * ctx, const char * mechlist);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

const char * mechlist
    input character array with SASL mechanism names, separated by invalid characters (e.g. SPC).

DESCRIPTION
Get name of "best" SASL mechanism supported by the libgsasl server which is present in the input string.

RETURN VALUE
Returns name of "best" SASL mechanism supported by the libgsasl server which is present in the input string.

DEPRECATED
This function was never useful, since it is the client that chose which mechanism to use.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.